#include <stdio.h>
#include "tine.h"
#include "tbufsrv.h"

#define NPOINTS 1024
float sinbuf[NPOINTS];

void update(void)
{
  int i;
  for (i=0; i<NPOINTS; i++)
  {
    sinbuf[i] = (float)(rand()%10.0) + 100.0 * (float)(sin(i*6.2832/(NPOINTS/8)));
  }
  pushBufferedData("Sine","SineDev0",(BYTE *)sinbuf,NPOINTS,FALSE);
}

int main(int argc,char *argv[])
{
  char c;
  AttachServerEx(NULL,NULL,0,update,500);

  SystemWaitCycleTimer();
  return 0;
}
